"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rimraf_1 = require("rimraf");
const fs_1 = require("fs");
const find_or_write_app_py_file_component_1 = require("./find-or-write-app-py-file-component");
const paths_1 = require("../../paths");
function readAppPyFile() {
    return (0, fs_1.readFileSync)(paths_1.APP_PY_FILE_NAME, {
        encoding: 'utf8',
    });
}
describe(find_or_write_app_py_file_component_1.findOrWriteAppPyFileComponent.name, () => {
    const yes = true;
    it('preserves the file if it exists', async () => {
        (0, fs_1.writeFileSync)(paths_1.APP_PY_FILE_NAME, 'foo');
        await (0, find_or_write_app_py_file_component_1.findOrWriteAppPyFileComponent)({ yes });
        expect(readAppPyFile()).toBe('foo');
        rimraf_1.rimraf.sync(paths_1.APP_PY_FILE_NAME);
    });
    it('writes the file if it does not exist', async () => {
        await (0, find_or_write_app_py_file_component_1.findOrWriteAppPyFileComponent)({ yes });
        const contents0 = readAppPyFile();
        expect(contents0).toMatch('import edgeiq');
        rimraf_1.rimraf.sync(paths_1.APP_PY_FILE_NAME);
    });
});
//# sourceMappingURL=find-or-write-app-py-file-component.test.js.map