"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const run_and_catch_1 = require("@carnesen/run-and-catch");
const tempy = require("tempy");
const app_1 = require("../../../core/app");
const model_1 = require("../../../core/model");
const infrastructure_1 = require("../../../infrastructure");
const util_1 = require("../../../util");
const app_models_add_component_1 = require("./app-models-add-component");
const EMPTY_MODEL_ID = 'alwaysai/squeezenet_v1.1';
describe(app_models_add_component_1.appModelsAddComponent.name, () => {
    jest.setTimeout(30000);
    const yes = true;
    it.skip('big test of all the features', async () => {
        // Start with no models
        const dir = tempy.directory();
        const appJsonFile = (0, app_1.AppJsonFile)(dir);
        appJsonFile.write({ models: {}, scripts: { start: '' } });
        const { username } = await (0, infrastructure_1.CliAuthenticationClient)().getInfo();
        // We'll add the "empty" model
        const { version } = await (0, infrastructure_1.CliRpcClient)().getModelVersion({ id: EMPTY_MODEL_ID });
        // Make sure it's not in the cache
        model_1.modelPackageCache.remove(EMPTY_MODEL_ID, version);
        // Now add it
        await (0, app_models_add_component_1.appModelsAddComponent)({ yes, dir, id: EMPTY_MODEL_ID, addToProject: true });
        // Should now be in the json file and cached
        expect(appJsonFile.read().models).toEqual({
            [EMPTY_MODEL_ID]: version,
        });
        expect(model_1.modelPackageCache.has(EMPTY_MODEL_ID, version)).toBe(true);
        // Error condition: model not found
        const exception = await (0, run_and_catch_1.runAndCatch)(app_models_add_component_1.appModelsAddComponent, {
            yes,
            dir,
            id: `${username}/${(0, util_1.RandomString)()}`,
            addToProject: true,
        });
        expect(exception.code).toBe(alwayscli_1.CLI_TERSE_ERROR);
        expect(exception.message).toMatch(/model not found/i);
    });
});
//# sourceMappingURL=app-models-add-component.test.js.map