"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tempy = require("tempy");
const app_models_update_component_1 = require("./app-models-update-component");
const alwayscli_1 = require("@alwaysai/alwayscli");
const run_and_catch_1 = require("@carnesen/run-and-catch");
const util_1 = require("../../../util");
const app_1 = require("../../../core/app");
const infrastructure_1 = require("../../../infrastructure");
describe(app_models_update_component_1.appModelsUpdateComponent.name, () => {
    // ToDo (JR): this test times out in some environments, we should identify the actual cause of the failure and correct it.
    jest.setTimeout(30000);
    const yes = true;
    it.skip('big test of all the features', async () => {
        const dir = tempy.directory();
        const appJsonFile = (0, app_1.AppJsonFile)(dir);
        const { username } = await (0, infrastructure_1.CliAuthenticationClient)().getInfo();
        // Does nothing if there are no models
        appJsonFile.write({ models: {}, scripts: { start: '' } });
        await (0, app_models_update_component_1.appModelsUpdateComponent)({ yes, dir });
        expect(appJsonFile.read().models).toEqual({});
        const id = 'alwaysai/yolo_v2';
        appJsonFile.write({
            models: {
                [id]: -1,
            },
            scripts: {
                start: '',
            },
        });
        // Updates the version identifier for an existing model
        await (0, app_models_update_component_1.appModelsUpdateComponent)({ yes, dir });
        const { version } = await (0, infrastructure_1.CliRpcClient)().getModelVersion({ id });
        expect(appJsonFile.read().models[id]).toBe(version);
        // Operation is idempotent
        await (0, app_models_update_component_1.appModelsUpdateComponent)({ yes, dir });
        // Throws "model not found" if the model id does not exist
        appJsonFile.write({
            models: { [`${username}/${(0, util_1.RandomString)()}`]: 1 },
            scripts: { start: '' },
        });
        const exception = await (0, run_and_catch_1.runAndCatch)(app_models_update_component_1.appModelsUpdateComponent, { yes, dir });
        expect(exception.code).toBe(alwayscli_1.CLI_TERSE_ERROR);
        expect(exception.message).toMatch(/model not found/i);
    });
});
//# sourceMappingURL=app-models-update-component.test.js.map