"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rimraf_1 = require("rimraf");
const fs_1 = require("fs");
const find_or_write_dockerfile_component_1 = require("./find-or-write-dockerfile-component");
const constants_1 = require("../../constants");
const paths_1 = require("../../paths");
function readDockerfile() {
    return (0, fs_1.readFileSync)(paths_1.DOCKERFILE, {
        encoding: 'utf8',
    });
}
describe(find_or_write_dockerfile_component_1.findOrWriteDockerfileComponent.name, () => {
    const yes = true;
    it('preserves the docker file if it exists', async () => {
        (0, fs_1.writeFileSync)(paths_1.DOCKERFILE, 'foo');
        await (0, find_or_write_dockerfile_component_1.findOrWriteDockerfileComponent)({ yes });
        expect(readDockerfile()).toBe('foo');
        rimraf_1.rimraf.sync(paths_1.DOCKERFILE);
    });
    it('writes the docker file if it does not exist', async () => {
        await (0, find_or_write_dockerfile_component_1.findOrWriteDockerfileComponent)({ yes });
        const contents0 = readDockerfile();
        expect(contents0).toMatch(constants_1.DOCKER_EDGEIQ_REPOSITORY_NAME);
        rimraf_1.rimraf.sync(paths_1.DOCKERFILE);
    });
});
//# sourceMappingURL=find-or-write-dockerfile-component.test.js.map