"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rimraf_1 = require("rimraf");
const fs_1 = require("fs");
const find_or_write_private_key_file_component_1 = require("./find-or-write-private-key-file-component");
const paths_1 = require("../../paths");
function readKeys() {
    const priv = (0, fs_1.readFileSync)(paths_1.PRIVATE_KEY_FILE_PATH, {
        encoding: 'utf8',
    });
    const pub = (0, fs_1.readFileSync)(paths_1.PUBLIC_KEY_FILE_PATH, {
        encoding: 'utf8',
    });
    return {
        priv,
        pub,
    };
}
describe(find_or_write_private_key_file_component_1.findOrWritePrivateKeyFileComponent.name, () => {
    const yes = true;
    it.skip('big test of all the features', async () => {
        rimraf_1.rimraf.sync(paths_1.PRIVATE_KEY_FILE_PATH);
        rimraf_1.rimraf.sync(paths_1.PUBLIC_KEY_FILE_PATH);
        // Writes the private key file if it does not exist
        await (0, find_or_write_private_key_file_component_1.findOrWritePrivateKeyFileComponent)({ yes });
        const keys0 = readKeys();
        expect(keys0.priv).toMatch('PRIVATE KEY');
        expect(keys0.pub).toMatch(find_or_write_private_key_file_component_1.PUBLIC_KEY_FILE_COMMENT);
        // Regenerates public key file if it does not exist but private does
        rimraf_1.rimraf.sync(paths_1.PUBLIC_KEY_FILE_PATH);
        await (0, find_or_write_private_key_file_component_1.findOrWritePrivateKeyFileComponent)({ yes });
        const keys1 = readKeys();
        expect(keys0.pub).toMatch(keys1.pub.trim());
        // ^^ Comment is not retained in the regenerated public key
        // Make sure the pub key gets recreated we remove the private but not the public
        rimraf_1.rimraf.sync(paths_1.PRIVATE_KEY_FILE_PATH);
        await (0, find_or_write_private_key_file_component_1.findOrWritePrivateKeyFileComponent)({ yes });
        const keys2 = readKeys();
        expect(keys0.pub).not.toMatch(keys2.pub.trim());
    });
});
//# sourceMappingURL=find-or-write-private-key-file-component.test.js.map