"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const app_json_file_1 = require("./app-json-file");
const tempy = require("tempy");
const chalk = require("chalk");
const subject = (0, app_json_file_1.AppJsonFile)(tempy.directory());
const BOLD_NONE = chalk.bold('None');
describe(app_json_file_1.AppJsonFile.name, () => {
    it('big test of all the methods', () => {
        subject.write({ models: {}, scripts: { start: '' } });
        expect(subject.describeModels()).toMatch(`Models: ${BOLD_NONE}`);
        subject.addModel('foo', 0);
        expect(subject.read().models).toEqual({ foo: 0 });
        expect(subject.describeModels()).toMatch('foo@0');
        subject.removeModel('foo');
        expect(subject.read().models).toEqual({});
        expect(subject.describeScripts()).toMatch(`start => ""`);
        subject.write({ models: {}, scripts: { start: 'python app.py' } });
        expect(subject.describeScripts()).toMatch('start => "python app.py"');
    });
});
//# sourceMappingURL=app-json-file.test.js.map