"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceConfigFile = exports.validateDeviceConfig = exports.deviceConfigSchema = void 0;
const config_nodejs_1 = require("@alwaysai/config-nodejs");
const ajv_1 = require("ajv");
const path_1 = require("path");
const constants_1 = require("../../constants");
const paths_1 = require("../../paths");
exports.deviceConfigSchema = {
    type: 'object',
    properties: {
        systemId: {
            type: 'string',
            enum: constants_1.SYSTEM_IDS,
        },
        deviceUuid: {
            type: 'string',
        },
    },
    required: ['systemId', 'deviceUuid'],
};
const ajv = new ajv_1.default();
exports.validateDeviceConfig = ajv.compile(exports.deviceConfigSchema);
function DeviceConfigFile() {
    const filePath = (0, path_1.join)(paths_1.LOCAL_AAI_CFG_DIR, paths_1.DEVICE_CONFIG_FILE_NAME);
    const configFile = (0, config_nodejs_1.ConfigFileSchema)({
        path: filePath,
        validateFunction: exports.validateDeviceConfig,
    });
    return configFile;
}
exports.DeviceConfigFile = DeviceConfigFile;
//# sourceMappingURL=device-json-file.js.map