"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const enhancer_1 = require("./enhancer");
const cleanElem = '******';
describe('Test cleanArgv', () => {
    it('leaves non-sensitive arguments alone', async () => {
        const args = ['app', 'install', '--clean'];
        expect((0, enhancer_1.cleanArgv)(args)).toEqual(args);
    });
    it('cleans username and password', async () => {
        const args = [
            'user',
            'login',
            '--email',
            'chewbacca@milleniumfalcon.org',
            '--password',
            '12345678',
        ];
        const cleanArgs = ['user', 'login', '--email', cleanElem, '--password', cleanElem];
        expect((0, enhancer_1.cleanArgv)(args)).toEqual(cleanArgs);
    });
    it('cleans rest of possible inputs', async () => {
        const args = [
            'user',
            'login',
            '--project',
            'test0',
            '--deviceId',
            'test1',
            '--model',
            'alwaysai/test2',
            '--releaseHash',
            'test3',
            '--name',
            'test4',
            '--tag',
            'test5',
        ];
        const cleanArgs = [
            'user',
            'login',
            '--project',
            cleanElem,
            '--deviceId',
            cleanElem,
            '--model',
            cleanElem,
            '--releaseHash',
            cleanElem,
            '--name',
            cleanElem,
            '--tag',
            cleanElem,
        ];
        expect((0, enhancer_1.cleanArgv)(args)).toEqual(cleanArgs);
    });
    it('cleans multiple arguments', async () => {
        const args = [
            'user',
            'login',
            '--email',
            'chewbacca@milleniumfalcon.org',
            'r2.d2@tatooine.net',
            '--password',
            '12345678',
        ];
        const cleanArgs = [
            'user',
            'login',
            '--email',
            cleanElem,
            cleanElem,
            '--password',
            cleanElem,
        ];
        expect((0, enhancer_1.cleanArgv)(args)).toEqual(cleanArgs);
    });
});
//# sourceMappingURL=enhancer.test.js.map