"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postTrackingDataToSegment = void 0;
const project_1 = require("../core/project");
const environment_1 = require("../environment");
const authentication_client_1 = require("./authentication-client");
const version = require('../../package.json');
const writeKey = 'H9SHsAseGIYI6PjjNhBO6OSyzx4cJSUG:';
const buffer = Buffer.from(writeKey, 'utf8');
const authHeader = buffer.toString('base64');
async function postTrackingDataToSegment(event, label) {
    if (environment_1.ALWAYSAI_DO_NOT_TRACK) {
        return;
    }
    let uuid = 'undefined';
    let projectId = '';
    try {
        ({ uuid } = await (0, authentication_client_1.CliAuthenticationClient)({ readonly: true }).getInfo());
        projectId = event.split('project ')[1];
        if (!projectId) {
            const projectJsonFile = (0, project_1.ProjectJsonFile)();
            const project = projectJsonFile.read().project;
            if (projectJsonFile.exists()) {
                if (project) {
                    projectId = project.id;
                }
            }
        }
    }
    catch (_a) { }
    const data = {
        event,
        userId: uuid,
        properties: {
            category: 'CLI',
            label,
            context: { direct: true },
            version: version.version,
            projectId,
        },
    };
    try {
        await fetch('https://api.segment.io/v1/track', {
            method: 'POST',
            body: JSON.stringify(data),
            headers: {
                'Content-Type': 'application/json',
                Authorization: `Basic ${authHeader}`,
            },
        });
    }
    catch (_b) { }
}
exports.postTrackingDataToSegment = postTrackingDataToSegment;
//# sourceMappingURL=post-tracking-data-to-segment.js.map