"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.appDeployCliLeaf = void 0;
const alwayscli_1 = require("@alwaysai/alwayscli");
const cli_inputs_1 = require("../../cli-inputs");
const app_1 = require("../../components/app");
exports.appDeployCliLeaf = (0, alwayscli_1.CliLeaf)({
    name: 'deploy',
    description: 'Deploy this application to a target device',
    namedInputs: {
        yes: cli_inputs_1.yesCliInput,
        generateDockerCompose: (0, alwayscli_1.CliFlagInput)({
            description: 'Generate docker-compose.yaml and exit',
        }),
        logs: (0, alwayscli_1.CliFlagInput)({
            description: 'Show logs of running app and exit',
        }),
        stop: (0, alwayscli_1.CliFlagInput)({
            description: 'Stop a running app and exit',
        }),
    },
    hidden: false,
    async action(_, opts) {
        const { yes, generateDockerCompose, logs, stop } = opts;
        await (0, app_1.appDeployComponent)({
            yes,
            generateDockerCompose,
            logs,
            stop,
        });
    },
});
//# sourceMappingURL=deploy.js.map