"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rimraf = require("rimraf");
const index_1 = require("./index");
jest.mock('rimraf');
describe(__filename, () => {
    it('throws an error if purge was unsuccessful', () => {
        const errStr = 'rimraf failed!';
        jest.mocked(rimraf.sync).mockImplementationOnce(() => {
            throw new Error(errStr);
        });
        const dir = 'dir0';
        expect(() => index_1.testSuiteFuncs.purgeConfig(dir)).toThrow(new Error(errStr));
        expect(jest.mocked(rimraf.sync)).toBeCalled();
        expect(jest.mocked(rimraf.sync).mock.calls[0][0]).toBe(dir);
        jest.mocked(rimraf.sync).mockClear();
    });
    it('removes all files from the .config as expected', () => {
        const dir = 'dir1';
        index_1.testSuiteFuncs.purgeConfig(dir);
        expect(jest.mocked(rimraf.sync)).toBeCalled();
        expect(jest.mocked(rimraf.sync).mock.calls[0][0]).toBe(dir);
        jest.mocked(rimraf.sync).mockClear();
    });
});
//# sourceMappingURL=purge.test.js.map