import { TargetHardware } from '../../core/app';
import { Spawner } from '../spawner';
export declare type DockerComposeRestart = 'no' | 'always' | 'on-failure' | 'unless-stopped';
export declare type DockerComposeCmd = {
    build: {
        context: string;
        dockerfile?: string;
        args?: object;
    };
    privileged?: boolean;
    volumes?: string[];
    user?: string;
    ports?: string[];
    targetHardware?: TargetHardware;
    workdir?: string;
    restart?: DockerComposeRestart;
};
export declare function getDockerComposeFileContents(cmd: DockerComposeCmd): string;
export declare function dockerComposeBuild(targetHostSpawner: Spawner): Promise<void>;
export declare function dockerComposeUp(targetHostSpawner: Spawner): Promise<void>;
export declare function dockerComposeLogs(targetHostSpawner: Spawner): Promise<void>;
export declare function dockerComposeDown(targetHostSpawner: Spawner): Promise<void>;
//# sourceMappingURL=docker-compose-cmd.d.ts.map