"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const keymirror_1 = require("./keymirror");
describe(keymirror_1.keyMirror.name, () => {
    it('maps keys of input obj to values', () => {
        expect((0, keymirror_1.keyMirror)({ apple: null, pear: null })).toEqual({
            apple: 'apple',
            pear: 'pear',
        });
    });
    it('allows merging of two keymirrors with repeated keys', () => {
        const km1 = (0, keymirror_1.keyMirror)({ apple: null, pear: null });
        const km2 = (0, keymirror_1.keyMirror)({ orange: null, pear: null });
        expect((0, keymirror_1.keyMirror)(Object.assign(Object.assign({}, km1), km2))).toEqual({
            apple: 'apple',
            pear: 'pear',
            orange: 'orange',
        });
    });
    it('adds a new key', () => {
        const km1 = (0, keymirror_1.keyMirror)({ apple: null, pear: null });
        km1['pineapple'] = null;
        expect((0, keymirror_1.keyMirror)(km1)).toEqual({
            apple: 'apple',
            pear: 'pear',
            pineapple: 'pineapple',
        });
    });
});
//# sourceMappingURL=keymirror.test.js.map