import { rimraf } from 'rimraf';
import { readFileSync, writeFileSync } from 'fs';
import { findOrWriteAppPyFileComponent } from './find-or-write-app-py-file-component';
import { APP_PY_FILE_NAME } from '../../paths';

function readAppPyFile() {
  return readFileSync(APP_PY_FILE_NAME, {
    encoding: 'utf8',
  });
}

describe(findOrWriteAppPyFileComponent.name, () => {
  const yes = true;
  it('preserves the file if it exists', async () => {
    writeFileSync(APP_PY_FILE_NAME, 'foo');
    await findOrWriteAppPyFileComponent({ yes });
    expect(readAppPyFile()).toBe('foo');
    rimraf.sync(APP_PY_FILE_NAME);
  });

  it('writes the file if it does not exist', async () => {
    await findOrWriteAppPyFileComponent({ yes });
    const contents0 = readAppPyFile();
    expect(contents0).toMatch('import edgeiq');
    rimraf.sync(APP_PY_FILE_NAME);
  });
});
