import * as logSymbols from 'log-symbols';
import { AppJsonFile } from '../../../core/app';
import { echo } from '../../../util';

import { appModelsRemoveComponent } from './app-models-remove-component';

export async function appModelsRemoveAllComponent(props: {
  purge: boolean;
  removeFromProject: boolean;
}) {
  const { purge, removeFromProject } = props;
  const appJsonFile = AppJsonFile();
  const models = appJsonFile.read().models;
  const promiseArray: any = [];
  if (models) {
    Object.keys(models).map((key) => {
      promiseArray.push(appModelsRemoveComponent({ id: key, purge, removeFromProject }));
    });
    await Promise.all(promiseArray);
  }

  echo(`${logSymbols.success} Removed all models`);
}
