import { rimraf } from 'rimraf';
import { readFileSync, writeFileSync } from 'fs';
import { findOrWriteDockerfileComponent } from './find-or-write-dockerfile-component';
import { DOCKER_EDGEIQ_REPOSITORY_NAME } from '../../constants';
import { DOCKERFILE } from '../../paths';

function readDockerfile() {
  return readFileSync(DOCKERFILE, {
    encoding: 'utf8',
  });
}

describe(findOrWriteDockerfileComponent.name, () => {
  const yes = true;
  it('preserves the docker file if it exists', async () => {
    writeFileSync(DOCKERFILE, 'foo');
    await findOrWriteDockerfileComponent({ yes });
    expect(readDockerfile()).toBe('foo');
    rimraf.sync(DOCKERFILE);
  });

  it('writes the docker file if it does not exist', async () => {
    await findOrWriteDockerfileComponent({ yes });
    const contents0 = readDockerfile();
    expect(contents0).toMatch(DOCKER_EDGEIQ_REPOSITORY_NAME);

    rimraf.sync(DOCKERFILE);
  });
});
