import { connectBySsh, Spinner } from '../../util';

export async function connectBySshComponent(props: {
  targetHostname: string;
  warnOrFail?: 'warn' | 'fail';
}) {
  const { targetHostname, warnOrFail = 'fail' } = props;
  const spinner = Spinner('Connect by SSH');
  try {
    await connectBySsh({ targetHostname });
    spinner.succeed();
  } catch (exception) {
    spinner[warnOrFail]();
    throw exception;
  }
}
