// TODO Rewrite test
import { join } from 'path';
import * as tempy from 'tempy';
import { APP_MODELS_DIRECTORY_NAME } from '../../paths';
import { JsSpawner } from '../../util';
import { MockModel } from '../model/mock-model';
import { ModelId } from '../model/model-id';
import { MODEL_JSON_FILE_NAME } from '../model/model-package-json-file';
import { appInstallModel } from './app-install-model';

describe(appInstallModel.name, () => {
  it.skip('Untars a model to the target and adds "version" to its model.json file', async () => {
    const appDir = tempy.directory();
    const mockModel = await MockModel();
    const spawner = JsSpawner({ path: appDir });
    await appInstallModel(spawner, mockModel.json.id, mockModel.metadata.version);
    const { publisher, name } = ModelId.parse(mockModel.json.id);
    const installedModelJsonSerialized = await spawner.readFile(
      join(APP_MODELS_DIRECTORY_NAME, publisher, name, MODEL_JSON_FILE_NAME),
    );
    const installedModelJson = JSON.parse(installedModelJsonSerialized);
    expect(installedModelJson.id).toBe(mockModel.json.id);
    expect(installedModelJson.version).toBe(mockModel.metadata.version);
  });
});
