import { AppJsonFile } from './app-json-file';
import * as tempy from 'tempy';
import * as chalk from 'chalk';

const subject = AppJsonFile(tempy.directory());
const BOLD_NONE = chalk.bold('None');
describe(AppJsonFile.name, () => {
  it('big test of all the methods', () => {
    subject.write({ models: {}, scripts: { start: '' } });

    expect(subject.describeModels()).toMatch(`Models: ${BOLD_NONE}`);

    subject.addModel('foo', 0);

    expect(subject.read().models).toEqual({ foo: 0 });
    expect(subject.describeModels()).toMatch('foo@0');

    subject.removeModel('foo');

    expect(subject.read().models).toEqual({});
    expect(subject.describeScripts()).toMatch(`start => ""`);

    subject.write({ models: {}, scripts: { start: 'python app.py' } });
    expect(subject.describeScripts()).toMatch('start => "python app.py"');
  });
});
