import { DOCKERFILE_STANDALONE, REMOTE_AAI_CFG_DIR_LINUX } from '../../paths';
import { DockerComposeCmd } from '../../util/docker';
import { TargetHardware } from './get-target-hardware-type';

export async function getDockerComposeCmdForApp(props: {
  targetHardware: TargetHardware;
}): Promise<DockerComposeCmd> {
  const { targetHardware } = props;
  return {
    build: {
      context: '.',
      dockerfile: DOCKERFILE_STANDALONE,
      args: { ALWAYSAI_HW: targetHardware },
    },
    privileged: true,
    volumes: ['/dev:/dev', `${REMOTE_AAI_CFG_DIR_LINUX}:/root/.config/alwaysai`],
    targetHardware,
    restart: 'on-failure',
  };
}
