// This is required for Cognito
(global as any)['fetch'] = require('node-fetch');

import { AuthenticationClient } from '@alwaysai/cloud-api';
import { CredentialsJsonFile } from './credentials-json-file';
import { getSystemId } from './system-id';

export function CliAuthenticationClient(options: Partial<{ readonly: boolean }> = {}) {
  const { readonly } = options;
  return AuthenticationClient({
    systemId: getSystemId(),
    storage: CredentialsJsonFile(),
    readonly,
  });
}
