import * as Sentry from '@sentry/node';

import { CliBranch } from '@alwaysai/alwayscli';

import { subcommands } from './subcommands';
import { ALWAYSAI_CLI_EXECUTABLE_NAME } from './constants';

Sentry.init({
  dsn: 'https://137edb0efc5140848d24cfc1b6976d92@o538891.ingest.sentry.io/5657149',

  // Set tracesSampleRate to 1.0 to capture 100%
  // of transactions for performance monitoring.
  // We recommend adjusting this value in production
  tracesSampleRate: 1.0,
});

export const root = CliBranch({
  name: ALWAYSAI_CLI_EXECUTABLE_NAME,
  description: 'Manage your alwaysAI assets and environment',
  subcommands,
});
