import { CliLeaf, CliFlagInput } from '@alwaysai/alwayscli';
import { yesCliInput } from '../../cli-inputs';
import { appDeployComponent } from '../../components/app';

export const appDeployCliLeaf = CliLeaf({
  name: 'deploy',
  description: 'Deploy this application to a target device',
  namedInputs: {
    yes: yesCliInput,
    generateDockerCompose: CliFlagInput({
      description: 'Generate docker-compose.yaml and exit',
    }),
    logs: CliFlagInput({
      description: 'Show logs of running app and exit',
    }),
    stop: CliFlagInput({
      description: 'Stop a running app and exit',
    }),
  },
  hidden: false,
  async action(_, opts) {
    const { yes, generateDockerCompose, logs, stop } = opts;
    await appDeployComponent({
      yes,
      generateDockerCompose,
      logs,
      stop,
    });
  },
});
