import { CliFlagInput, CliLeaf } from '@alwaysai/alwayscli';
import { appModelsRemoveAllComponent } from '../../../components/app';

export const removeAllModels = CliLeaf({
  name: 'remove-all',
  description: `Remove all models from this application`,
  namedInputs: {
    purge: CliFlagInput({
      description: 'Purge the model files from the application target directory',
    }),
    'remove-from-project': CliFlagInput({
      description: 'Remove the models from the project',
    }),
  },
  async action(_, { purge, 'remove-from-project': removeFromProject }) {
    await appModelsRemoveAllComponent({ purge, removeFromProject });
  },
});
