import { CliLeaf } from '@alwaysai/alwayscli';
import * as logSymbols from 'log-symbols';
import { appModelsAddComponent } from '../../../components/app';
import { fetchProjectModels } from '../../../components/project';
import { echo } from '../../../util';

export const syncProjectModelsCliLeaf = CliLeaf({
  name: 'sync',
  description: 'Sync project models from web',
  async action() {
    const projectModels = await fetchProjectModels();
    for (const model of projectModels) {
      await appModelsAddComponent({ yes: true, id: model.id, addToProject: false });
    }
    echo(`${logSymbols.success} Add models from project`);
  },
});
