import { CliLeaf, CliStringInput } from '@alwaysai/alwayscli';
import { yesCliInput } from '../../cli-inputs';
import { appPackageComponent } from '../../components/app';

export const appPackageCliLeaf = CliLeaf({
  name: 'package',
  description: 'Package this application as a Docker image',
  namedInputs: {
    yes: yesCliInput,
    tag: CliStringInput({
      description:
        'Tag for application Docker image. Format: <dockerhub-user>/<img-name>:<version>',
    }),
  },
  async action(_, opts) {
    const { yes, tag } = opts;
    await appPackageComponent({
      yes,
      dockerImageTag: tag,
    });
  },
});
