import { CliLeaf, CliStringInput } from '@alwaysai/alwayscli';
import { yesCliInput } from '../../cli-inputs';
import { fetchAppReleaseHistoryComponent } from '../../components/release';
import { echo } from '../../util';

export const getAppReleaseHistoryCliLeaf = CliLeaf({
  name: 'list',
  description: 'Retrieve information about the application release',
  namedInputs: {
    yes: yesCliInput,
    project: CliStringInput({
      description: 'Project ID',
      required: true,
    }),
  },
  async action(_, opts) {
    const { yes, project } = opts;
    const releaseHistory = await fetchAppReleaseHistoryComponent({
      yes,
      project,
    });
    echo(`Retrieved application history for project ${project}`);
    echo(releaseHistory);
  },
});
