import { CliLeaf } from '@alwaysai/alwayscli';
import { yesCliInput } from '../cli-inputs';
import { checkForDockerComponent } from '../components/docker';
import { checkUserIsLoggedInComponent } from '../components/user';
import { JsSpawner } from '../util';
import { runDockerContainerForeground } from '../util/docker';

const zoneCreatorFunc = () =>
  CliLeaf({
    name: 'zone-creator',
    description: 'Run zone creation tool',
    namedInputs: {
      yes: yesCliInput,
    },
    async action(_, { yes }) {
      await checkUserIsLoggedInComponent({ yes });
      checkForDockerComponent();
      const spawner = JsSpawner();
      const zoneDockerImageId = 'alwaysai/zone-creator';

      await runDockerContainerForeground({
        targetHostSpawner: spawner,
        cmd: {
          dockerImageId: zoneDockerImageId,
          remove: true,
          ports: ['5000'],
          pullImage: true,
        },
      });
    },
  });

export const zoneCreator = zoneCreatorFunc();
