import { keyMirror } from './keymirror';

describe(keyMirror.name, () => {
  it('maps keys of input obj to values', () => {
    expect(keyMirror({ apple: null, pear: null })).toEqual({
      apple: 'apple',
      pear: 'pear',
    });
  });
  it('allows merging of two keymirrors with repeated keys', () => {
    const km1 = keyMirror({ apple: null, pear: null });
    const km2 = keyMirror({ orange: null, pear: null });
    expect(keyMirror({ ...km1, ...km2 })).toEqual({
      apple: 'apple',
      pear: 'pear',
      orange: 'orange',
    });
  });
  it('adds a new key', () => {
    const km1 = keyMirror({ apple: null, pear: null });
    km1['pineapple'] = null;
    expect(keyMirror(km1)).toEqual({
      apple: 'apple',
      pear: 'pear',
      pineapple: 'pineapple',
    });
  });
});
