import {
  InvalidFilePleaseRunAppConfigureMessage,
  MissingFilePleaseRunAppConfigureMessage,
} from '../components/app';
import { logger } from './logger';

export async function logConfigFileErrorMessages(
  configFile,
  errorMessageFunction:
    | typeof MissingFilePleaseRunAppConfigureMessage
    | typeof InvalidFilePleaseRunAppConfigureMessage,
) {
  const errorMessage = errorMessageFunction(configFile.name);
  logger.error(errorMessage);
  if (errorMessageFunction === InvalidFilePleaseRunAppConfigureMessage) {
    logger.error(JSON.stringify(configFile.getErrors()));
  }
  return errorMessage;
}
