import { spawnSync } from 'child_process';
import { logger } from '../../logger';
import { Cmd } from '../types';

export function runForegroundSync(cmd: Cmd) {
  const optString = cmd.args ? cmd.args.join(' ') : '';
  logger.debug(`${cmd.exe} ${optString}`);
  const out = spawnSync(cmd.exe, cmd.args || [], {
    cwd: cmd.cwd,
    stdio: 'inherit',
  });
  if (out.error) {
    throw out.error;
  }
}
